Seguir una lista
curl --request POST \
--url https://api.x.com/2/users/{id}/followed_lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"list_id": "1146654567674912769"
}
'import requests
url = "https://api.x.com/2/users/{id}/followed_lists"
payload = { "list_id": "1146654567674912769" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({list_id: '1146654567674912769'})
};
fetch('https://api.x.com/2/users/{id}/followed_lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"following": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Administrar listas
Seguir una lista
Hace que el usuario autenticado siga una Lista específica por su ID.
POST
/
2
/
users
/
{id}
/
followed_lists
Seguir una lista
Autorizaciones
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID del usuario de origen autenticado que seguirá la Lista. Identificador único de este usuario. El valor debe ser el mismo que el del usuario autenticado.
Ejemplo:
"2244994945"
Cuerpo
application/json
El identificador único de esta Lista.
Pattern:
^[0-9]{1,19}$Ejemplo:
"1146654567674912769"
Respuesta
La solicitud se ha realizado correctamente.
Show child attributes
Show child attributes
Minimum array length:
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I